# WOK
TKWOK
WOKStep

# WOKStep_DirectTKReplace Class Reference

`#include <WOKStep_DirectTKReplace.hxx>`

Inheritance diagram for WOKStep_DirectTKReplace:

[legend]

## Public Member Functions

Standard_EXPORT | WOKStep_DirectTKReplace (const Handle(WOKMake_BuildProcess)&abp, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | ComputeDependency (const Handle(TCollection_HAsciiString)&code, const Handle(TColStd_HSequenceOfHAsciiString)&adirectlist) const

## Constructor & Destructor Documentation

Standard_EXPORT WOKStep_DirectTKReplace::WOKStep_DirectTKReplace | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKStep_DirectTKReplace::ComputeDependency | ( | const Handle(TCollection_HAsciiString)& | code,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | adirectlist
| ) | const`[protected, virtual]`

| Implements WOKStep_LinkList.

Standard_EXPORT const WOKStep_DirectTKReplace::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKStep_TKReplace.

The documentation for this class was generated from the following file:

- WOKStep_DirectTKReplace.hxx